Page MenuHomePhabricator

[NFC][Asan] Set AP32::kMetadataSize to 0
ClosedPublic

Authored by vitalybuka on Sep 1 2020, 2:13 AM.

Details

Reviewers
morehouse
Group Reviewers
Restricted Project
Commits
rG2b71b7f791cd: [NFC][Asan] Set AP32::kMetadataSize to 0
Summary

Asan does not use metadata with primary allocators.
It should match AP64::kMetadataSize whic is 0.

Depends on D86917.

Diff Detail

Event Timeline

vitalybuka created this revision.Sep 1 2020, 2:13 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 1 2020, 2:13 AM
Herald added a subscriber: Restricted Project. · View Herald Transcript
vitalybuka requested review of this revision.Sep 1 2020, 2:13 AM
vitalybuka added a reviewer: Restricted Project.Sep 1 2020, 5:21 AM
vitalybuka edited the summary of this revision. (Show Details)Sep 1 2020, 2:08 PM
morehouse accepted this revision.Sep 2 2020, 4:02 PM
morehouse added a subscriber: morehouse.

LGTM

This revision is now accepted and ready to land.Sep 2 2020, 4:02 PM
This revision was landed with ongoing or failed builds.Sep 3 2020, 2:24 PM
This revision was automatically updated to reflect the committed changes.